RequestQueryParam

class oci.apm_synthetics.models.RequestQueryParam(**kwargs)

Bases: object

Information about request query parameters.

Methods:

__init__(**kwargs)

Initializes a new RequestQueryParam object with values from keyword arguments.

Attributes:

param_name

[Required] Gets the param_name of this RequestQueryParam.

param_value

Gets the param_value of this RequestQueryParam.

__init__(**kwargs)

Initializes a new RequestQueryParam object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • param_name (str) – The value to assign to the param_name property of this RequestQueryParam.

  • param_value (str) – The value to assign to the param_value property of this RequestQueryParam.

property param_name

[Required] Gets the param_name of this RequestQueryParam. Name of request query parameter.

Returns

The param_name of this RequestQueryParam.

Return type

str

property param_value

Gets the param_value of this RequestQueryParam. Value of request query parameter.

Returns

The param_value of this RequestQueryParam.

Return type

str